%define srcver 1.1pl1

Summary:	Initiate, or receive, a H.323 IP telephony call
Name:		ohphone
Version:	1.1.1
Release:	2mdk
License:	MPL
Group:		Networking/Other
Source0:	http://www.openh323.org/bin/%{name}_%{srcver}.tar.bz2
Patch0:		ohphone-1.1.1-make.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel pwlib-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description 
ohphone is a command line application that can be used to listen for
incoming H.323 calls, or to initiate a call to a remote host. Although
originally intended as a test harneess for the OpenH323 project (see
http://www.openh323.org) it has developed into a fully functional
H.323 endpoint application.

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=/usr; export PWLIBDIR
OPENH323DIR=/usr; export OPENH323DIR
%{make} optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%ifarch %ix86
install obj_linux_x86_?/%{name} $RPM_BUILD_ROOT%{_bindir}
%else
install obj_linux_%{_arch}_?/%name %buildroot/%_bindir
%endif
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%changelog
* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Aloow build on non %%ix86 architectures

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
